image: python:3.10

cache:
  paths:
    - .pip

before_script:
  - mkdir -p .pip
  - pip install -U pip
  - pip --cache-dir=.pip install -e .[dev]

tests:
  script:
    - python -m pytest --verbose --cov=urbanwb
    - black --check .
